/******************************************************************************************
	SAM7FLASH RAM_RUM demo
	2006/06/00 jsy (hwimh@hanmail.net)

	Build for RAM target demo!
	-------------------------------------------
	In the file 'AT91SAM7S256-RAM.ld'

	MEMORY
	{
		FLASH (rx) : ORIGIN = 0x00201000, LENGTH = 0x00007800	// 30KB for code (as ROM)
		DATA (rw)  : ORIGIN = 0x00208800, LENGTH = 0x00007800	// 30KB for data (RAM)
		STACK (rw) : ORIGIN = 0x00210000, LENGTH = 0x00000000
	}
	// 0x00201000 is a start address for SAM7FLASH bootloader
	// If you want to play with SAM-BA, change as 0x00202000

*******************************************************************************************/

// Always include s64!
#include "at91sam7s64.h"
//#define __inline inline
//#include "lib_AT91SAM7S64.h"
#include "uart_d.h"


void delays(volatile unsigned long a)
{
	while(--a != 0);
}


int main(void)
{
	AT91F_LowLevelInit();

	// enable user RESET key
	AT91C_BASE_RSTC->RSTC_RMR = (0xA5000000 | AT91C_RSTC_URSTEN);

	DEBUGU_Init();

	for(;;)
	{
		DEBUGU_WriteStr("RAM test...\n");
		delays(10000000);
	}
}

